| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::xphoto::WhiteBalancer Class Referenceabstract
Additional photo processing algorithms

The base class for auto white balance algorithms. More...

`#include <opencv2/xphoto/white_balance.hpp>`

Collaboration diagram for cv::xphoto::WhiteBalancer:

## Public Member Functions
virtual void | balanceWhite (InputArray src, OutputArray dst)=0
| Applies white balancing to the input image.
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

The base class for auto white balance algorithms.

## Member Function Documentation

## ◆ balanceWhite()

virtual void cv::xphoto::WhiteBalancer::balanceWhite | ( | InputArray | src,
|  | OutputArray | dst )
| pure virtual

Python:
| cv.xphoto.WhiteBalancer.balanceWhite( | src[, dst] | ) -> | dst

Applies white balancing to the input image.

Parameters

  src | Input image
  dst | White balancing result

See also
  cvtColor, equalizeHist

The documentation for this class was generated from the following file:

- opencv2/xphoto/white_balance.hpp